package Visual_DVM_2021.Passes.All;
import Common.Database.Database;
import Common.Database.Objects.DBObject;
import Common.Passes.AddObjectPass;
import _VisualDVM.Global;
import _VisualDVM.GlobalData.Machine.Machine;
import _VisualDVM.GlobalData.Makefile.Makefile;
import _VisualDVM.GlobalData.Module.Module;
import _VisualDVM.ProjectData.LanguageName;
public class AddMakefile extends AddObjectPass<Makefile> {
    public AddMakefile() {
        super(Makefile.class);
    }
    @Override
    public Class<? extends DBObject> getOwner() {
        return Machine.class;
    }
    @Override
    protected void body() throws Exception {
        super.body();
        //создать модули для языков.
        getDb().Insert(new Module(LanguageName.fortran, target));
        getDb().Insert(new Module(LanguageName.c, target));
        getDb().Insert(new Module(LanguageName.cpp, target));
    }
}
